Mailinglist Archive: opensuse-packaging (174 mails)

< Previous Next >
Re: [opensuse-packaging] Re: krb5 dependency in Base:System
  • From: NeilBrown <neilb@xxxxxxx>
  • Date: Thu, 28 Nov 2013 21:21:56 +1100
  • Message-id: <20131128212156.5b5dbbd5@notabene.brown>
On Thu, 28 Nov 2013 09:52:58 +0100 (CET) Richard Biener <rguenther@xxxxxxx>
wrote:

On Thu, 28 Nov 2013, Stephan Kulow wrote:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 28.11.2013 08:53, NeilBrown wrote:

Maybe would could split a couple of krb5 libraries out of the krb5
package and only install that package when nfs-utils isn't
installed? I think libgssapi_krb5.so.2 libkrb5.so.3
libkrb5support.so.0 would be enough.

Does that sound OK?

We already have krb5-mini (to avoid another cycle). If we can get rid
of libgsslglue and krb5-mini is free of further dependencies (which it
wasn't last time I tried), we can try.

Note that here also specifically build requirements are important
(in addition to install-time requirements).

Richard.


Once again I have no idea what you mean. In what way, precisely, are build
requirements important. In what way might they go wrong? What must we be
careful to ensure?

NeilBrown
< Previous Next >